
Infrastructure - Task #365

Story # 589 (Closed): modify metacat native interfaces to support arbitrary identifiers and system metadata

refactor handleDeleteAction() to support GUIDs

2010-03-16 00:12 - Matthew Jones

Status: Closed Start date: 2010-10-07

Priority: High Due date:  

Assignee: Chris Jones % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2011.09-Block.2   

Milestone: CCI-0.6 Story Points:  

Product Version: *   

Description

Allow GUIDs to be used in handleDeleteAction() to specify objects to be deleted, and map these to LocalIDs before performing the

delete operation.

History

#1 - 2010-03-18 11:05 - Matthew Jones

Modified ResourceHandler.deleteObject() to take a globally unique id (guid) as input rather than a metacat-conformant docid.  The guid is translated

into a metacat docid which is then used in the handleDelete() call.  So now Metacat supports use of arbitrary identifiers for delete operations, but

only through the MetacatRest REST service interface.  Still need to handle exceptions that should be generated when a guid is not found.  Also

modified the MetacatRestClientTest to exercise this functionality.  Dealing with exceptions should occur during implementation of the

MN_crud.delete() functionality rather than here (which is focused on managing arbitrary identifiers.  Still need to adapt other entry points into Metacat

to support GUIDs.

#2 - 2010-10-06 19:57 - Matthew Jones

- Target version deleted (CCI-1.0)

- Parent task set to #589

- Milestone set to CCI-0.6

#3 - 2010-10-07 12:30 - Dave Vieglais

- Start date set to 2010-10-07

- Tracker changed from Bug to Task

#4 - 2011-02-21 05:36 - Matthew Jones

- Assignee changed from Matthew Jones to Chris Jones

#5 - 2011-02-21 16:23 - Chris Jones

- Status changed from New to In Progress

#6 - 2011-03-01 17:19 - Chris Jones

- Status changed from In Progress to Closed

Refactored deleteFromMetacat() to now do a GUID lookup to gain a localId prior to deletion, and revert to just a localId deletion if it fails to find a

GUID.
https://redmine.dataone.org/projects/d1/wiki/LocalIDs
https://redmine.dataone.org/projects/d1/wiki/ResourceHandler
